clear
clc
k1 = ureal('k1',2,'Range',[1.2 2.8]);
k1c = ucomplex('k1c',2,'Radius',0.8);  % complex approximation
% Plot 80 samples of the real and complex parameters
k1samp = usample(k1,80);
k1csamp = usample(k1c,80);
plot(k1samp(:),0*k1samp(:),'rx',real(k1csamp(:)),imag(k1csamp(:)),'b*')
hold on
%Draw a Circle around k1
the=0:0.02*pi:2*pi;
z=sin(the)+cos(the)*i;
plot(real(0.8*z+2),imag(0.8*z),'b')
hold off
% Plot formatting
axis([1 3 -1 1]), axis square
ylabel('Imaginary'), xlabel('Real')
title('Real vs. complex uncertainty model for k1')
